Bug 223643 - Interface freezes for approx one second every time cpuspeed switches processor speeds
Interface freezes for approx one second every time cpuspeed switches processo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-21 01:29 EST by David Fawcett
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:39:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output when booted with cpufreq.debug=7 (22.44 KB, text/plain)
2007-01-30 21:10 EST, David Fawcett
no flags Details

  None (edit)
Description David Fawcett 2007-01-21 01:29:45 EST
Description of problem:
I am running FC6 on a Dell Inspiron 4000 Intel PIII Coppermine 700-1ghz.  When
the processor switches between the two processor speeds, the interface freezes
for about a second.  If I am dragging the mouse pointer, it stops moving and the
animated pointer graphic freezes too.  If I stop the cpuspeed service, the
problem goes away.  

I have seen this on all versions of FC6 kernel.  I am currently booting to a
prevous version of the kernel (see dmesg below) because I am waiting for Livna
kmod-madwifi to catch up with the new kernel release, but this issue is apparent
in the latest kernel version also.

Version-Release number of selected component (if applicable):
cpuspeed 1:1.2.1-1.46.fc6.i386
kernel 2.6.18-1.2869.fc6.i686
kernel 2.6.18-1.2895.fc6.i686


How reproducible:
It occurs every time that I boot and run the OS.  If I turn off cpuspeed, the
problem stops every time.

Steps to Reproduce:
1. boot
2. move cursor around until processor switches speeds
3.
  
Actual results:
Frequent little freezes of the interface

Expected results:
No freezes.  Smooth operation of interface as in FC3

Additional info:
dmesg:
Linux version 2.6.18-1.2869.fc6 (brewbuilder@ls20-bc2-14.build.redhat.com) (gcc
version 4.1.1 20061011 (Red Hat 4.1.1-30)) #1 SMP Wed Dec 20 14:51:19 EST 20
ACPI: CPU0 (power states: C1[C1] C2[C2])
ACPI: Thermal Zone [THM] (25 C)
ACPI: Core revision 20060707
ACPI: setting ELCR to 0200 (from 0820)
CPU0: Intel Pentium III (Coppermine) stepping 0a
SMP motherboard not detected.
Local APIC not detected. Using dummy APIC emulation.
Brought up 1 CPUs
Comment 1 Jarod Wilson 2007-01-22 11:04:53 EST
So for the sake of clarity, when you say "issue is apparent in the latest kernel
version also", are you saying you can reproduce the mouse lockups without the
madwifi driver loaded?

Also, please provide the output from the following command:

find /sys/devices/system/cpu/cpu0/cpufreq/ -type f -print -exec cat {} \;
Comment 2 David Fawcett 2007-01-22 17:52:39 EST
The lockups existed before I installed madwifi.  I really didn't intend to
mention madwifi except to explain why I was booting to the previous version of
the kernel.  

[root@localhost ~]# find /sys/devices/system/cpu/cpu0/cpufreq/ -type f -print
-exec cat {} \;
/sys/devices/system/cpu/cpu0/cpufreq/scaling_setspeed
700000
/sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq
700000
/sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_cur_freq
700000
/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies
1000000 700000 
/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_governors
userspace performance 
/sys/devices/system/cpu/cpu0/cpufreq/scaling_driver
speedstep-smi
/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
userspace
/sys/devices/system/cpu/cpu0/cpufreq/affected_cpus
0
/sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq
1000000
/sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq
700000
/sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_max_freq
1000000
/sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_min_freq
700000
[root@localhost ~]# 




Comment 3 Jarod Wilson 2007-01-30 11:36:19 EST
Damn, I thought I had a reproducer, but it appears to be something else, as the
brief freezes are happening with cpuspeed disabled as well. If you would, try
booting with 'cpufreq.debug=7' appended to your kernel line, and grab dmesg
output after one of these hangs. We might see something in there of use in
diagnosing what's going on...
Comment 4 David Fawcett 2007-01-30 21:10:24 EST
Created attachment 146994 [details]
dmesg output when booted with cpufreq.debug=7

As requested, I booted the kernel with the additional instruction of
cpufreq.debug=7.  The output is in the attached text file.
Comment 5 Jarod Wilson 2007-01-31 15:14:52 EST
DaveJ, hey, does any of this ring a bell and/or make sense to you?
Comment 6 Jarod Wilson 2007-12-18 17:05:22 EST
Apologies for letting this sit unattended for so long. David, is this still a
problem with the latest kernels? I'm hoping we've since inherited a fix from
upstream...
Comment 7 Bug Zapper 2008-04-04 01:40:01 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 13:39:57 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.